package com.crm.rely.backend.core.dto.follow.score;

import lombok.Data;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @ClassName FollowDealScorePeriodSelectDto
 * @Description
 * @Author y
 * @Date 2024/1/31 13:38
 */
@Data
public class FollowDealScorePeriodSelectDto {

    private List<FollowDealScorePeriodTypesDto> types;

    private Map<Integer, List<FollowDealScorePeriodSerialDto>> periods;


    public static FollowDealScorePeriodSelectDto getInstance(){
        FollowDealScorePeriodSelectDto dto = new FollowDealScorePeriodSelectDto();
        dto.setTypes(new ArrayList<>());
        dto.setPeriods(new HashMap<>());
        return dto;
    }

}
